[Unit]
Description=LLM Hub Flask Application
After=network.target

[Service]
User=root
WorkingDirectory=/root/llm_hub
ExecStart=/bin/bash -c 'source /root/miniconda3/bin/activate llmhub && python /root/llm_hub/manage.py'
Restart=always

[Install]
WantedBy=multi-user.target